CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		controllerparametersd
} else {
	TARGET =		controllerparameters
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					xml

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/eventfilters.cpp \
					../core/expression.cpp \
					../core/messagebox.cpp \
					../core/xmlfile.cpp \
					src/bitfieldwidget.cpp \
					src/controllerparameters.cpp \
					src/copyrulesdialog.cpp \
					src/creategroupdialog.cpp \
					src/exportoptionsdialog.cpp \
					src/main.cpp \
					src/parameters.cpp \
					src/ruleeditordialog.cpp \
					src/ruleitemdialog.cpp \
					src/rules.cpp \
					src/utilities.cpp \
					src/valueswidget.cpp

HEADERS +=			../core/eventfilters.h \
					../core/expression.h \
					../core/messagebox.h \
					../core/xmlfile.h \
					src/bitfieldwidget.h \
					src/controllerparameters.h \
					src/copyrulesdialog.h \
					src/creategroupdialog.h \
					src/exportoptionsdialog.h \
					src/parameters.h \
					src/ruleeditordialog.h \
					src/ruleitemdialog.h \
					src/rules.h \
					src/utilities.h \
					src/valueswidget.h

RESOURCES +=		res/controllerparameters.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/controllerparameters
}
target.path =		$$PREFIX
target.files =		bin/controllerparameters
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/controllerparameters
}

win32 {
RC_FILE =			res/resource.rc
}
